SpywareBlaster, MSCOMCTL.OCX and Windows NT issue

Discussion in 'SpywareBlaster & Other Forum' started by levenyu, Jan 12, 2004.

Thread Status:
Not open for further replies.
  1. levenyu

    levenyu Registered Member

    Joined:
    Jan 12, 2004
    Posts:
    8
    o_O
    Hi!
    My OS is Windows NT 4.0
    I've installed SpywareBlaster on my PC.
    I'm getting a "MSCOMCTL.ocx file not found/missing" error at the program's start-up.
    I've read the topic: SpywareBlaster problems with MSINET.ocx or MSCOMCTL.ocx?
    I've tried all suggestions to solve the issue, however, neither of them worked.
    So, my question is: are those fixes were supposed to work with Windows NT 4.0 as well?
    For example, when I've tried to run downloaded MSCOMCTL Installer, which is missingfilesetup.exe I've gotten the error message that read that file was corrupted and I should get a correct one.
    Where can I get all those proper files that will suit the Win NT 4.0?
    Thank you!
     
  2. LowWaterMark

    LowWaterMark Administrator

    Joined:
    Aug 10, 2002
    Posts:
    17,878
    Location:
    New England
    SpywareBlaster is supposed to be compatible with NT 4. Have you tried the manual update process using the .CAB file from Microsoft?

    First, can you actually get the mscomctl.cab to download? It's a 497KB file which I just confirmed that I can download from that link. (I can open the file with Winzip and confirm that it is good here.)

    That corruption message makes it sound like you actually are getting bad downloads. Are you using a download manager or download accelerator? If so, you could try to disable such software and just use a normal download in your browser.

    Otherwise, I'm not sure because I'm on XP here. Perhaps we'll get another NT4 user to reply.
     
  3. levenyu

    levenyu Registered Member

    Joined:
    Jan 12, 2004
    Posts:
    8
    :)
    Hi, LowWaterMark!
    Thank you for an advice.
    It worked (that part in Quote).
    However, now I have another problem with SpywareBlaster.
    I can't get any updates because of the corporate firewall software.
    Is there any workaround? Some tweak(s) in settings?
    Thank you!
     
  4. Pieter_Arntz

    Pieter_Arntz Spyware Veteran

    Joined:
    Apr 27, 2002
    Posts:
    13,332
    Location:
    Netherlands
    Hi levenyu,

    HTH,

    Pieter
     
  5. levenyu

    levenyu Registered Member

    Joined:
    Jan 12, 2004
    Posts:
    8
    :)
    Hi Pieter!
    It worked just fine, thank you.
    Would you please give me URLs of the update files for SpywareGuard as well?
     
  6. Pieter_Arntz

    Pieter_Arntz Spyware Veteran

    Joined:
    Apr 27, 2002
    Posts:
    13,332
    Location:
    Netherlands
    Sure. Luckily SpywareGuard doesn't require many updates.

    Please download these files:
    http://www.javacoolsoftware.com/spywareguard/def1.dtb
    http://www.javacoolsoftware.com/spywareguard/def2.dtb
    http://www.javacoolsoftware.com/spywareguard/dlbdata1.dtb
    http://www.javacoolsoftware.com/spywareguard/dlbdata2.dtb

    and replace the ones in your SpywareGuard folder.

    Regards,

    Pieter
     
  7. levenyu

    levenyu Registered Member

    Joined:
    Jan 12, 2004
    Posts:
    8
    :D
    Thank you very much Pieter!
    I appreciate your prompt response.
    Best regards!
     
  8. Pieter_Arntz

    Pieter_Arntz Spyware Veteran

    Joined:
    Apr 27, 2002
    Posts:
    13,332
    Location:
    Netherlands
    My pleasure. :)

    Pieter
     
  9. Zul Mishat

    Zul Mishat Guest

    Oh dear o_O I am using XP and have the same problem. How can I download those links if I am not getting any prompt? all I see is lines of data but where is the icon for download? pls help!
     
  10. snowbound

    snowbound Retired Moderator

    Joined:
    Feb 18, 2003
    Posts:
    8,723
    Location:
    The Big Smoke
    Hi Zul Mishat :)

    Welcome to Wilders

    To download just right click on link and save it to a file.


    Hope this helps.



    snowbound
     
  11. levenyu

    levenyu Registered Member

    Joined:
    Jan 12, 2004
    Posts:
    8
    Hi, snowbound!
    FYI:
    The "Save Target As ..." option of the right click does not work (at least) under WinNT 4.0. I've not tried some other OS, though.
    The only way for me to save that link as a file was to open it first and then save it as a file via the File menu item.

    P.S.
    I have a question on my own.
    Why SpywareGuard does not work under WinNT 4.0?
    I'm getting an error at its start-up and then Dr. Watson cancels it.
    Do you have any answer on that?
    TYIA.
    Regards!
     
  12. LowWaterMark

    LowWaterMark Administrator

    Joined:
    Aug 10, 2002
    Posts:
    17,878
    Location:
    New England
    From the Javacool SpywareGuard webpage:

    The techniques used in SpywareGuard are not compatible with NT, (and Windows 95 for that matter), so Javacool has left it (them) off the list of supported operating systems. Sorry.
     
  13. levenyu

    levenyu Registered Member

    Joined:
    Jan 12, 2004
    Posts:
    8
    Yeah, I've read about it in the SpywareGuard's readme.txt file.
    Thank you any way for your answer!
    Regards!
     
  14. levenyu

    levenyu Registered Member

    Joined:
    Jan 12, 2004
    Posts:
    8
    Hi guys!
    I'm back with another issue.
    I have SpyWareBluster version 2.6.1 currently installed on my PC (WinNT 4.0).
    It works (for now...).
    Some time ago I was provided the following URLs to download updates manually (reason: I'm behing a corporate firewall):

    http://www.javacoolsoftware.com/spywareblaster/sbdatabase.dtb
    http://www.javacoolsoftware.com/spywareblaster/sbdatabase2.dtb
    http://www.javacoolsoftware.com/spywareblaster/sbinfo.dtb
    http://www.javacoolsoftware.com/spywareblaster/ckdatabase.dtb

    They were just fine until I tried to update them today.
    Problem is that all of them seem to be corrupted (I did a file comparison against original SWB files).
    o_O
    Can anyone tell me what has happed here?
    Are those files still supported or not?
    May be URLs got changed and I'm just not aware?

    BTW, I've tried to install the latest version of SpyWareBluster (3.1?) and its install could not even start (gave me an error message that install file is corrupted?).
    Does it (or is it supposed to) work with Windows NT 4.0?

    Please shed some light here.
    Thx!
     
  15. LowWaterMark

    LowWaterMark Administrator

    Joined:
    Aug 10, 2002
    Posts:
    17,878
    Location:
    New England
    Hi again levenyu,

    Unfortunately, you will not be able to get definition updates using the old version of SpywareBlaster. When a new program version comes out, the update format is changed and the new program version must be used from then on.

    There is a long thread here with various user supplied work-arounds for the installer corruption issue. If you are comfortable following along and doing some of those things, you may very well get 3.1 to work. If not, you'll need to wait for 3.2 to come out for an automated fix.

    https://www.wilderssecurity.com/showthread.php?t=26534

    Read all the pages (a couple times) and think about whether you want to try it or not.
     
  16. levenyu

    levenyu Registered Member

    Joined:
    Jan 12, 2004
    Posts:
    8
    Hi LowWaterMark,
    Now, at least, I know what is going on here.
    Yes, I'll definitely read the thread that you've suggested.
    May be I’ll find some workaround on how to install SWB v. 3.1 on Win NT 4.0.
    If it is not possible then, well, I am going to wait for version 3.2 to be out.
    I just hope that version 3.2 will be fully compatible with my mentioned OS and others as well.
    Thank you.
     
Loading...
Thread Status:
Not open for further replies.